%define pypi_name borgbackup
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so


Name:           borgbackup
Version:        1.0.7
Release:        %mkrel 1
Group:          Archiving/Backup
Summary:        Deduplicated backups

License:        BSD
URL:            https://borgbackup.github.io/
Source0:        https://pypi.io/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-Remove-codecov.io-and-travis-ci.org-badges.patch
Patch1:         0002-README.rst-Replace-img-src-with-text-link.patch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(sphinx)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(msgpack-python)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  libacl-devel
BuildRequires:  pythonegg(3)(cython)
BuildRequires:  pythonegg(3)(sphinx-rtd-theme)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pythonegg(3)(llfuse)
Recommends:     pythonegg(3)(llfuse)

%description
BorgBackup (short: Borg) is a deduplicating backup program. 
Optionally, it supports compression and authenticated encryption.

The main goal of Borg is to provide an efficient and secure way to backup data.
The data deduplication technique used makes Borg suitable for daily backups 
since only changes are stored. The authenticated encryption technique makes 
it suitable for backups to not fully trusted targets.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
%patch1 -p1

# remove .c files so cython rebuild them
rm -f {borg/crypto.c,borg/platform_linux.c}

%build
%py3_build


%install
%py3_install

# generate html docs 
%{__python3} setup.py build_ext --inplace
PYTHONPATH=. sphinx-build-%{python3_version} docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%files
%doc html README.rst
%license LICENSE
%{_bindir}/borg
%{python3_sitearch}/borg
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Wed Aug 31 2016 philippem <philippem> 1.0.7-1.mga6
+ Revision: 1049572
- update to 1.0.7 security fix

* Fri Jul 08 2016 philippem <philippem> 1.0.5-1.mga6
+ Revision: 1039775
- update to 1.0.5

* Mon May 23 2016 philippem <philippem> 1.0.3-1.mga6
+ Revision: 1018045
- update to 1.0.3

* Sun Apr 17 2016 philippem <philippem> 1.0.2-1.mga6
+ Revision: 1003179
- update to 1.0.2

* Sun Apr 10 2016 philippem <philippem> 1.0.1-1.mga6
+ Revision: 1000022
- update to 1.0.1

* Mon Mar 07 2016 philippem <philippem> 1.0.0-1.mga6
+ Revision: 987056
- update to 1.0.0

* Sat Feb 13 2016 philippem <philippem> 0.30.1-1.mga6
+ Revision: 959754
- update to 0.30.1

* Sat Dec 19 2015 philippem <philippem> 0.29.0-1.mga6
+ Revision: 912216
- imported package borgbackup

